import 'package:flutter/material.dart';
import 'package:platform_list_tile/platform_list_tile.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'PlatformListTile Demo',
      home: PlatformListTileDemo(),
    );
  }
}

class PlatformListTileDemo extends StatelessWidget {
  const PlatformListTileDemo({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("PlatformListTile"),
      ),
      body: ListView(
        children: [
          PlatformListTile(
            title: Text("ListTile"),
          ),
          PlatformListTile(
            title: Text("Empty ListTile"),
            trailing: Icon(
              Icons.circle,
              color: Colors.white
                  .withOpacity(0), //Overwriting the default iOS trailing icon
            ),
          ),
          PlatformListTile(
            title: Text("Leading Icon"),
            leading: Icon(Icons.account_circle),
          ),
          PlatformListTile(
            title: Text("Trailing Icon"),
            trailing: Icon(Icons.account_circle),
          ),
          PlatformListTile(
            title: Text("Both Icons"),
            leading: Icon(Icons.account_circle),
            trailing: Icon(Icons.account_circle),
          ),
          PlatformListTile(
            title: Text("Subtitle"),
            subtitle: Text("This is the Subtitle"),
          ),
          PlatformListTile(
            title: Text("Material Elevated"),
            isElevatedM: true,
            leading: Icon(Icons.account_circle),
            trailing: Icon(Icons.account_circle),
          )
        ],
      ),
    );
  }
}
